net.minecraftforge.common

## Class ForgeModContainer

- java.lang.Object
- - cpw.mods.fml.common.DummyModContainer
  - - net.minecraftforge.common.ForgeModContainer

- All Implemented Interfaces:
    ModContainer, WorldAccessContainer

      public class ForgeModContainer
      extends DummyModContainer
      implements WorldAccessContainer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface cpw.mods.fml.common.ModContainer

      `ModContainer.Disableable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int[]` | `blendRanges`
    `static int` | `clumpingThreshold`
    `static boolean` | `disableStitchedFileSaving`
    `static boolean` | `disableVersionCheck`
    `static boolean` | `forceDuplicateFluidBlockCrash`
    `static boolean` | `fullBoundingBoxLadders`
    `static boolean` | `removeErroringEntities`
    `static boolean` | `removeErroringTileEntities`
    `static boolean` | `shouldSortRecipies`
    `static float` | `zombieBabyChance`
    `static double` | `zombieSummonBaseChance`

    - ### Fields inherited from interface cpw.mods.fml.common.ModContainer

      `EMPTY_PROPERTIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForgeModContainer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Configuration` | `getConfig()`
    `java.lang.Class<?>` | `getCustomResourcePackClass()`
    `NBTTagCompound` | `getDataForWriting(SaveHandler handler, WorldInfo info)`
    `java.lang.String` | `getGuiClassName()`
    `java.util.List<java.lang.String>` | `getOwnedPackages()`
    `java.io.File` | `getSource()` The location on the file system which this mod came from
    `void` | `mappingChanged(FMLModIdMappingEvent evt)`
    `void` | `modConstruction(FMLConstructionEvent evt)`
    `void` | `onAvailable(FMLLoadCompleteEvent evt)`
    `void` | `onConfigChanged(ConfigChangedEvent.OnConfigChangedEvent event)` By subscribing to the OnConfigChangedEvent we are able to execute code when our config screens are closed.
    `void` | `postInit(FMLPostInitializationEvent evt)`
    `void` | `preInit(FMLPreInitializationEvent evt)`
    `void` | `readData(SaveHandler handler, WorldInfo info, java.util.Map<java.lang.String,NBTBase> propertyMap, NBTTagCompound tag)`
    `boolean` | `registerBus(com.google.common.eventbus.EventBus bus, LoadController controller)` Register the event bus for the mod and the controller for error handling Returns if this bus was successfully registered - disabled mods and other mods that don't need real events should return false and avoid further processing
    `void` | `serverStarting(FMLServerStartingEvent evt)`

    - ### Methods inherited from class cpw.mods.fml.common.DummyModContainer

      `acceptableMinecraftVersionRange, bindMetadata, canBeDisabled, getCustomModProperties, getDependants, getDependencies, getDisplayVersion, getMetadata, getMod, getModId, getName, getProcessedVersion, getRequirements, getSharedModDescriptor, getSigningCertificate, getSortingRules, getVersion, isImmutable, matches, setEnabledState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### clumpingThreshold

          public static int clumpingThreshold

    - #### removeErroringEntities

          public static boolean removeErroringEntities

    - #### removeErroringTileEntities

          public static boolean removeErroringTileEntities

    - #### disableStitchedFileSaving

          public static boolean disableStitchedFileSaving

    - #### forceDuplicateFluidBlockCrash

          public static boolean forceDuplicateFluidBlockCrash

    - #### fullBoundingBoxLadders

          public static boolean fullBoundingBoxLadders

    - #### zombieSummonBaseChance

          public static double zombieSummonBaseChance

    - #### blendRanges

          public static int[] blendRanges

    - #### zombieBabyChance

          public static float zombieBabyChance

    - #### shouldSortRecipies

          public static boolean shouldSortRecipies

    - #### disableVersionCheck

          public static boolean disableVersionCheck

  - ### Constructor Detail

    - #### ForgeModContainer

          public ForgeModContainer()

  - ### Method Detail

    - #### getGuiClassName

          public java.lang.String getGuiClassName()

      Specified by:
        `getGuiClassName` in interface `ModContainer`
      Overrides:
        `getGuiClassName` in class `DummyModContainer`

    - #### getConfig

          public static Configuration getConfig()

    - #### onConfigChanged

          public void onConfigChanged(ConfigChangedEvent.OnConfigChangedEvent event)

      By subscribing to the OnConfigChangedEvent we are able to execute code when our config screens are closed. This implementation uses the optional configID string to handle multiple Configurations using one event handler.

    - #### registerBus

          public boolean registerBus(com.google.common.eventbus.EventBus bus,
                            LoadController controller)

      Description copied from interface: `ModContainer`
      Register the event bus for the mod and the controller for error handling Returns if this bus was successfully registered - disabled mods and other mods that don't need real events should return false and avoid further processing
      Specified by:
        `registerBus` in interface `ModContainer`
      Overrides:
        `registerBus` in class `DummyModContainer`

    - #### modConstruction

          public void modConstruction(FMLConstructionEvent evt)

    - #### preInit

          public void preInit(FMLPreInitializationEvent evt)

    - #### postInit

          public void postInit(FMLPostInitializationEvent evt)

    - #### onAvailable

          public void onAvailable(FMLLoadCompleteEvent evt)

    - #### serverStarting

          public void serverStarting(FMLServerStartingEvent evt)

    - #### getDataForWriting

          public NBTTagCompound getDataForWriting(SaveHandler handler,
                                         WorldInfo info)

      Specified by:
        `getDataForWriting` in interface `WorldAccessContainer`

    - #### readData

          public void readData(SaveHandler handler,
                      WorldInfo info,
                      java.util.Map<java.lang.String,NBTBase> propertyMap,
                      NBTTagCompound tag)

      Specified by:
        `readData` in interface `WorldAccessContainer`

    - #### mappingChanged

          public void mappingChanged(FMLModIdMappingEvent evt)

    - #### getSource

          public java.io.File getSource()

      Description copied from interface: `ModContainer`
      The location on the file system which this mod came from
      Specified by:
        `getSource` in interface `ModContainer`
      Overrides:
        `getSource` in class `DummyModContainer`

    - #### getCustomResourcePackClass

          public java.lang.Class<?> getCustomResourcePackClass()

      Specified by:
        `getCustomResourcePackClass` in interface `ModContainer`
      Overrides:
        `getCustomResourcePackClass` in class `DummyModContainer`

    - #### getOwnedPackages

          public java.util.List<java.lang.String> getOwnedPackages()

      Specified by:
        `getOwnedPackages` in interface `ModContainer`
      Overrides:
        `getOwnedPackages` in class `DummyModContainer`